# HG changeset patch
# Node ID 12dcbd792fa3
# Parent  6d41b29637ef
diff --git a/libpurple/protocols/meson.build b/libpurple/protocols/meson.build
--- a/libpurple/protocols/meson.build
+++ b/libpurple/protocols/meson.build
@@ -1,2 +1,1 @@
-subdir('bonjour')
 subdir('jabber')
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -260,29 +260,13 @@
 birb_dep = dependency('birb')
 
 #######################################################################
-# Check for Native Avahi headers (for Bonjour)
-#######################################################################
-
-if IS_WIN32
-	# Just keep enabled.
-	enable_avahi = get_option('avahi').enabled() or get_option('avahi').auto()
-	avahi = []
-else
-	# Attempt to autodetect Avahi
-	avahi_client = dependency('avahi-client', required : get_option('avahi'))
-	avahi_glib = dependency('avahi-glib', required : get_option('avahi'))
-	avahi = [avahi_client, avahi_glib]
-	enable_avahi = avahi_client.found() and avahi_glib.found()
-endif
-
-#######################################################################
 # Check for Xeme XMPP Library
 #######################################################################
 xeme = dependency('xeme')
 
 dependency('shoes', required : false)
 
-DEFAULT_PRPLS = ['bonjour', 'demo', 'ircv3', 'jabber', 'xmpp']
+DEFAULT_PRPLS = ['demo', 'ircv3', 'jabber', 'xmpp']
 
 dynamic_list = get_option('dynamic-prpls').split(',')
 if dynamic_list == ['all']
@@ -292,8 +276,6 @@
 foreach prpl : dynamic_list
 	if prpl == ''
 		# The list was empty; do nothing.
-	elif prpl == 'bonjour' and not enable_avahi
-		# Do nothing.
 	elif prpl == 'xmpp' and not xeme.found()
 		# Do nothing.
 	else
@@ -301,7 +283,6 @@
 	endif
 endforeach
 
-DYNAMIC_BONJOUR = DYNAMIC_PRPLS.contains('bonjour')
 DYNAMIC_DEMO = DYNAMIC_PRPLS.contains('demo')
 DYNAMIC_IRCV3 = DYNAMIC_PRPLS.contains('ircv3')
 DYNAMIC_JABBER = DYNAMIC_PRPLS.contains('jabber')
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -61,16 +61,6 @@
 libpurple/plugins/statenotify/statenotify.c
 libpurple/plugins/wincred/wincred.c
 libpurple/prefs.c
-libpurple/protocols/bonjour/bonjour.c
-libpurple/protocols/bonjour/bonjour_ft.c
-libpurple/protocols/bonjour/buddy.c
-libpurple/protocols/bonjour/dns_sd_proxy.c
-libpurple/protocols/bonjour/mdns_avahi.c
-libpurple/protocols/bonjour/mdns_common.c
-libpurple/protocols/bonjour/mdns_dns_sd.c
-libpurple/protocols/bonjour/mdns_win32.c
-libpurple/protocols/bonjour/parser.c
-libpurple/protocols/bonjour/xmpp.c
 libpurple/protocols.c
 libpurple/protocols/jabber/adhoccommands.c
 libpurple/protocols/jabber/auth.c
diff --git a/protocols/bonjour/meson.build b/protocols/bonjour/meson.build
--- a/protocols/bonjour/meson.build
+++ b/protocols/bonjour/meson.build
@@ -11,10 +11,6 @@
 	'purplebonjourprotocol.h',
 ]
 
-if not DYNAMIC_BONJOUR
-	subdir_done()
-endif
-
 bonjour_resources = gnome.compile_resources('bonjourresource',
 	'resources/bonjour.gresource.xml',
 	source_dir : 'resources',
